APISchedule tasks

Create a new schedule task

Creates a new task for a given server schedule

Creates a new task for a given server schedule

POST
/api/client/servers/{server}/schedules/{schedule}/tasks

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server identifier

schedule*integer

Schedule identifier

Request Body

application/json

Task creation data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/string/schedules/0/tasks" \  -H "Content-Type: application/json" \  -d '{    "action": "command",    "time_offset": 0  }'
{
  "object": "task",
  "attributes": {
    "id": 0,
    "sequence_id": 0,
    "action": "string",
    "payload": "string",
    "time_offset": 0,
    "continue_on_failure": true
  }
}
Empty
Empty
Empty
Empty